<template>
    <div style="width: 100%;">
        <div>
            <div class="item-style">
                <i-switch v-model="value"></i-switch>
            </div>
        </div>
        <div v-show="value">
            <label class="item-style">内容子项</label>
            <radioArr></radioArr>
        </div>
    </div>
</template>

<script>
    import * as components from './style';
    import {PropertyMixin} from '../../service/main-tool-editor-type-mixin';
    import radioArr from '../main-tool-editor-type-box-radioArr';

    import eventbus from '../../service/eventbus';
    export default {
        components: {
            ...components,
            radioArr
        },
        mixins: [PropertyMixin],
        position: 'mainToolEditorTypeCellHeightLevel',
        name: 'main-tool-editor-type-cellHeightLevel',
        data() {
            return {
                value: this.editor.value || false
            };
        },
        mounted() {
            this.initCurrtField();
            this.setInstanceProps(this.value);

        },
        computed: {
            applicationState() {

                return this.$store.state.application;
            },
            viewportState() {
                return this.$store.state.viewport;
            }
        },
        methods: {
            handleChange() {

            }
        },
        watch: {
            value(n, o) {
                if (n === o) {
                    return;
                }
                this.setInstanceProps(n);
            }
        }
    };
</script>

<style scoped>

</style>
